<?php


namespace App\Entities\TipoProdutoServico;


use App\Utils\Entity;

class TipoProdutoServico extends Entity
{
    protected $id;
    protected $descricao;

    public static function builder() : TipoProdutoServicoBuilder
    {
    	$tipo_procedimento_builder = New TipoProdutoServicoBuilder();
        return $tipo_procedimento_builder;
    }

    public function getId() : int
    {
        return $this->id;
    }

    public function getDescricao() : string
    {
        return $this->descricao;
    }

    public function setId($id) : void
    {
        $this->id = $id;
    }

    public function setDescricao($descricao) : void
    {
        $this->descricao = $descricao;
    }
}